<!-- Creado: Félix Ricardo Oliva Alonso, 12/09/2017. Se crea la vista para ingresar a los pacientes de urgencias -->
<?php
    use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $usuario = $_SESSION['operador'];
    $Centro_Sal  = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
    $Centro_Sal  = trim($Centro_Sal);
    $IDDOC  = $var->desencriptar_AES($usuario['id_doc'], $usuario['x']);


    //$Expediente = $soapclient->PrestamoExpediente_getHistorialMovimientos('1','2','1',$wsClave);
    //var_dump($Expediente);

    //$respuesta = $soapclient->PrestamoExpediente_getInfoPaciente( '1' , '4' , $wsClave);
    //var_dump($respuesta);

    //$respuesta = $soapclient->Urgencias_getLstAgendasDeMedicos( '1' , '1' , $wsClave);
    //var_dump($respuesta);

?>

@extends('layouts.app')
@section('title', 'Agenda Urgencias')
@section('styles')
    <style media="screen">
        .alerta{
            color: white;
            font-size: 8.5pt;
            height: 28px;
            padding: 4px 6px 4px 6px;

            border-radius: 3px 3px 3px 3px;
            -moz-border-radius: 3px 3px 3px 3px;
            -webkit-border-radius: 3px 3px 3px 3px;
            border: 0px solid #000000;
        }
        .alerta, #dtpck {
            display:flex;
            justify-content:center;
            align-items:center;
        }
        .datosPac {
            display: block;
            text-align: center;
            border-bottom: 1px solid #3c8dbc;
            border-radius: 3px;
            margin-bottom: 10px;
        }
        .hrLine{
            display: block;
            height: 2px;
            border: 0;
            border-top: 1px solid #d2d6de;
        }
    </style>
@endsection

@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="nav-tabs-custom">


                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#tab_1" data-toggle="tab" aria-expanded="true" id="agendarpaciente">
                            <i class="fa fa-user-plus"></i>&nbsp;Agendar Paciente
                        </a>
                    </li>
                    <li class="">
                        <a href="#tab_2" data-toggle="tab" aria-expanded="false" id="verAgenda">
                            <i class="fa fa-book"></i>&nbsp;Ver Agenda
                        </a>
                    </li>
                </ul>

            </div>
        </div>
    </div>

    <div id="searchContainer"></div>

    <div class="row" id="btnAddPacUrg" style="display:none">
        <div class="col-sm-12">
            <div class="box box-primary">
                <div class="box-body">

                    <label>
                        No hay registros que concuerden con los parámetros seleccionados.
                        Para agendar a un paciente primero es necesario agregarlo en ARCHIVO > REGISTRAR PACIENTE
                        o haciendo click en el siguiente enlace: <a href="addNewPaciente"  >Agregar paciente</a>.
                        Una vez agregado regrese a esta vista y realice nuevamenta la búsqueda.
                    </label>

                </div>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-md-4" id="contenedor_ficha"></div> {{-- Aquí se inserta la ficha del paciente --}}
        <div class="col-md-8" id="contenedor_listado"></div>{{-- Aquí se inserta el listado de pacientes --}}
    </div>

@endsection

@section('scripts')

  <script type="text/javascript">

      var jqGetAjax = function (php_url_post, objetoHTML, array_datos) {
          Pace.restart();
          var request = $.ajax({url: php_url_post, method: "POST", data: array_datos, dataType: "html"});
          request.done(function (msg) {
              $("#" + objetoHTML).html(msg);
          });
          request.fail(function (jqXHR, textStatus) {
              $("#" + objetoHTML).html("Request failed: " + textStatus);
          });
      };

      function getView(php_url_post, objetoHTML, array_datos) {
          Pace.restart();
          var request = $.ajax({url: php_url_post, method: "POST", data: array_datos, dataType: "html"});
          request.done(function (msg) {
              $("#" + objetoHTML).append(msg);
          });
          request.fail(function (jqXHR, textStatus) {
              $("#" + objetoHTML).append("Request failed: " + textStatus);
          });
      }

      $(document).ready(function() {
          getView("asignarcama-busqueda2", "searchContainer", {
              definirFuncion: 1,
              nocama: '',
              descripcioncama: '',
              tiposervicio: '',
              idtiposervicio: '',
              idespecialidad: '',
              especialidad: '',
              Centro_Sal: '<?php echo $Centro_Sal ?>',
              ban : 1
          });
      });

      $(document).on('click', '#agendarpaciente', function(){
          $('#contenedor_ficha').html('');
          $('#contenedor_listado').html('');
          $('#btnAddPacUrg').hide();
          $('#searchContainer').html('');
          getView("asignarcama-busqueda2", "searchContainer", {
              definirFuncion: 1,
              nocama: '',
              descripcioncama: '',
              tiposervicio: '',
              idtiposervicio: '',
              idespecialidad: '',
              especialidad: '',
              Centro_Sal: '<?php echo $Centro_Sal ?>',
              ban : 1
          });
      });

      $(document).on('click', '#verAgenda', function(){
          $('#btnAddPacUrg').hide();
          $('#searchContainer').html('');
          $('#contenedor_ficha').html('');
          $('#contenedor_listado').html('');
          getView("agenda_urgencias_ficha", "contenedor_ficha", {  verAgenda : 1, Centro_Sal: '<?php echo $Centro_Sal ?>' });
          getView("agenda_urgencias_listado_contenedor", "contenedor_listado", {  Centro_Sal: '<?php echo $Centro_Sal ?>' });
      });

  </script>
@endsection
